{
	"name": "form/nc/erp-sync/odoo/rec.json",
	"tab": "company",
	"table": {
		"product": true
	},
	"compare_field": {
		"company": "json_data.transfer_id",
		"product": "product_id",
		"order-invoice": "order_id",
		"order_row-invoice": "order_id"
	},
	"export_allowed": {
		"company": true,
		"product": true,
		"order-invoice": true,
		"order_row-invoice": true
	},
	"export_save_field": {
		"product": "json_data.transfer_id"
	},
	"import_allowed": {
		"company": true,
		"product": true,
		"order-invoice": true,
		"order_row-invoice": true
	},
	"sort_allowed": {
		"order-sales": false
	},
	"update_allowed": {},
	"tab_default": {
		"company": {
			"run": [
				{ "result": "start_date", "function": "currentYearStartString", "parameter": [-2] },
				{ "result": "end_date", "function": "ymdAddDateString", "parameter": ["current_date", 0, 0, 0] }
			]
		},
		"product": {
			"run": [
				{ "result": "start_date", "function": "ymdAddDateString", "parameter": ["current_date", 0, -1, 0] },
				{ "result": "end_date", "function": "ymdAddDateString", "parameter": ["current_date", 0, 0, 0] }
			]
		},
		"order-invoice": {
			"run": [
				{ "result": "start_date", "function": "ymdAddDateString", "parameter": ["current_date", 0, 0, -7] },
				{ "result": "end_date", "function": "ymdAddDateString", "parameter": ["current_date", 0, 0, 7] }
			]
		},
		"order_row-invoice": {
			"run": [
				{ "result": "start_date", "function": "ymdAddDateString", "parameter": ["current_date", 0, 0, -7] },
				{ "result": "end_date", "function": "ymdAddDateString", "parameter": ["current_date", 0, 0, 7] }
			]
		},
		"order-sales": {
			"run": [
				{ "result": "start_date", "function": "ymdAddDateString", "parameter": ["current_date", 0, 0, -7] },
				{ "result": "end_date", "function": "ymdAddDateString", "parameter": ["current_date", 0, 0, 7] }
			]
		},
		"order_row-sales": {
			"run": [
				{ "result": "start_date", "function": "ymdAddDateString", "parameter": ["current_date", 0, 0, -7] },
				{ "result": "end_date", "function": "ymdAddDateString", "parameter": ["current_date", 0, 0, 7] }
			]
		},
		"order-purchase": {
			"run": [
				{ "result": "start_date", "function": "ymdAddDateString", "parameter": ["current_date", 0, 0, -7] },
				{ "result": "end_date", "function": "ymdAddDateString", "parameter": ["current_date", 0, 0, 7] }
			]
		},
		"order_row-purchase": {
			"run": [
				{ "result": "start_date", "function": "ymdAddDateString", "parameter": ["current_date", 0, 0, -7] },
				{ "result": "end_date", "function": "ymdAddDateString", "parameter": ["current_date", 0, 0, 7] }
			]
		}
	}
}
